"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const { create } = require('nano-css');
const { addon: addonCssom } = require('nano-css/addon/cssom');
const { addon: addonPipe } = require('nano-css/addon/pipe');
const flattenSelectors = (css) => {
    const flatenned = {};
    const amp = {};
    let hasAmp = false;
    for (const key in css) {
        const value = css[key];
        if (typeof value === 'object') {
            flatenned[key] = value;
        }
        else {
            hasAmp = true;
            amp[key] = value;
        }
    }
    if (hasAmp) {
        flatenned['&'] = amp;
    }
    return flatenned;
};
const nano = create();
addonCssom(nano);
addonPipe(nano);
const useCss = (css) => {
    const [pipe] = react_1.useState(nano.pipe());
    react_1.useEffect(() => {
        pipe.css(flattenSelectors(css));
        return () => pipe.remove();
    });
    return pipe.className;
};
exports.default = useCss;
