"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const useList = (initialList = []) => {
    const [list, set] = react_1.useState(initialList);
    return [list, {
            set,
            updateAt: (index, entry) => set([
                ...list.slice(0, index),
                entry,
                ...list.slice(index + 1)
            ]),
            push: (entry) => set([...list, entry]),
            filter: (fn) => set(list.filter(fn)),
            sort: (fn) => set([...list].sort(fn)),
        }];
};
exports.default = useList;
