"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const useSetState = (initialState = {}) => {
    const [state, set] = react_1.useState(initialState);
    const setState = patch => {
        if (patch instanceof Function)
            set(prevState => Object.assign({}, prevState, patch(prevState)));
        else
            set(Object.assign({}, state, patch));
    };
    return [state, setState];
};
exports.default = useSetState;
