"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const useSetState_1 = require("./useSetState");
const useMount_1 = require("./useMount");
const useSpeech = (text, opts = {}) => {
    const [state, setState] = useSetState_1.default({
        isPlaying: false,
        volume: opts.volume || 1,
    });
    const uterranceRef = react_1.useRef(null);
    useMount_1.default(() => {
        const utterance = new SpeechSynthesisUtterance(text);
        utterance.volume = opts.volume || 1;
        utterance.onstart = () => setState({ isPlaying: true });
        utterance.onresume = () => setState({ isPlaying: true });
        utterance.onend = () => setState({ isPlaying: false });
        utterance.onpause = () => setState({ isPlaying: false });
        uterranceRef.current = utterance;
        window.speechSynthesis.speak(uterranceRef.current);
    });
    return state;
};
exports.default = useSpeech;
