"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ts_easing_1 = require("ts-easing");
const useRaf_1 = require("./useRaf");
const useTween = (easingName = 'inCirc', ms = 200, delay = 0) => {
    const fn = ts_easing_1.easing[easingName];
    const t = useRaf_1.default(ms, delay);
    if (process.env.NODE_ENV !== 'production') {
        if (typeof fn !== 'function') {
            console.error('useTween() expected "easingName" property to be a valid easing function name, like:' +
                '"' + Object.keys(ts_easing_1.easing).join('", "') + '".');
            console.trace();
            return 0;
        }
    }
    return fn(t);
};
exports.default = useTween;
